---
title: Getting Started
description: A little advise for those who got into coding recently
published: true
date: 2019-11-03T13:02:36.660Z
tags: 
---

> A source code editor is required. We recommend Visual Studio Code.
{.is-info}

# Installing the requirements
1. Install [Git](https://git-scm.com/).
2. Install [Node](https://nodejs.org/en/) (comes with [npm](https://www.npmjs.com/)).
3. Install [TypeScript](https://www.typescriptlang.org/index.html#download-links) (open a terminal and ``npm install -g typescript``).

# Cloning the project
1. Open a terminal and type ``git clone URL``. **Replace URL with repository link you want to contribute to** 
e.g. ``git clone https://github.com/PreMiD/PreMiD``.
2. Choose a folder of your choice.
3. Open it in you code editor.

# Installing dependencies
> Be sure you have installed [npm](https://www.npmjs.com/) (Node Package Manager) first. It automatically installed itself if you have [Node](https://nodejs.org/en/) installed.
{.is-warning}

- Open a terminal in your repository and type ``npm i``.
- To update the dependencies type ``npm update``.

> Be aware that updating the dependencies could brake a lot, or not - testing is required!
{.is-danger}

# Coding your vision
Please keep the structure. We do not want to disorganize our project. Chaotic files may not be accepted.

# Submitting your dream
Just open a Pull Request on one of our [GitHub repositories](https://github.com/PreMiD/) you want to contribute to. We will take care of your baby, don't worry.
If this is your first time making a pull request, take a look at this [tutorial](https://help.github.com/en/articles/creating-a-pull-request).

# Getting approved
Our main goal is to work with users so try to be as much friendly, respectful and informative as possible.
Just ping a Developer in our [Discord server](https://discord.gg/PreMiD) to get that review on GitHub, or not. Depends on the code quality, appearance of assets and regular functionality.